<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="x-ua-compatible" content="ie=edge" />
    <title>URL Shortener</title>
    <meta name="description" content="" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <script src="https://cdn.tailwindcss.com"></script>
    <link rel="stylesheet" href="//brick.freetls.fastly.net/Muli:200,300,400,600,700,200i,300i,400i,600i,700i/Inconsolata:500">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css" integrity="sha512-xh6O/CkQoPOWDdYTDqeRdPCVd1SpvCA9XXcUnZS2FmJNp1coAFzvtCN9BmamE+4aHK8yyUHUSCcJHgXloTyT2A==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Montserrat:wght@500&display=swap" rel="stylesheet">
    <script>
      tailwind.config = {
        theme: {
          extend: {
            fontFamily: {
              'sans': ['Muli'],
              },
            }
          }
        }
    </script>
    <style>
      .bg {
        width: 100%;
        height: 100vh; display: flex;
        align-items: center;
        justify-content: center;
        background-size: 300% 300%;
        background-image: linear-gradient(
              -45deg,
              rgba(59,173,227,1) 0%,
              rgba(87,111,230,1) 25%,
              rgba(152,68,183,1) 51%,
              rgba(255,53,127,1) 100%
        );
        animation: AnimateBG 20s ease infinite;
      }
@keyframes AnimateBG {
        0%{background-position:0% 50%}
        50%{background-position:100% 50%}
        100%{background-position:0% 50%}
      }

      body {
        font-family: 'Montserrat', sans-serif;
      }
    </style>
  </head>

  <body class="bg flex flex-col">

    <div class="{{ "hidden" if url else "" }} bg-white p-2 drop-shadow-2xl ">
      <form action="/create" method="POST" class="flex flex-row">
        <input autofocus name="url" placeholder="https://pyjam.as/portal" type="text" class="focus:outline-none text-xl h-full my-auto py-5 pl-5 w-full sm:w-96 h-12 grow"></input>
        <button class="p-5">
          <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">
            <path stroke-linecap="round" stroke-linejoin="round" d="M13.19 8.688a4.5 4.5 0 011.242 7.244l-4.5 4.5a4.5 4.5 0 01-6.364-6.364l1.757-1.757m13.35-.622l1.757-1.757a4.5 4.5 0 00-6.364-6.364l-4.5 4.5a4.5 4.5 0 001.242 7.244" />
          </svg>
        </button>
      </form>
    </div>

    <div class="{{ "hidden" if not url else "" }} p-8 bg-white text-center text-lg drop-shadow-xl">
      <h1 class="text-gray-500">Your URL was shortened to</h1>
      <a href="{{ url }}"><h1 class="text-3xl p-6">{{ url }}</h1></a>
      <button onclick="navigator.clipboard.writeText('{{ url }}').value;" class="focus:outline-none mx-auto flex flex-row text-sm border-solid border-2 border-gray-200 hover:border-gray-400 text-gray-500 hover:text-gray-800 rounded-full p-1 px-4 ">
        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="my-auto m-1 w-4 h-4">
          <path stroke-linecap="round" stroke-linejoin="round" d="M15.75 17.25v3.375c0 .621-.504 1.125-1.125 1.125h-9.75a1.125 1.125 0 01-1.125-1.125V7.875c0-.621.504-1.125 1.125-1.125H6.75a9.06 9.06 0 011.5.124m7.5 10.376h3.375c.621 0 1.125-.504 1.125-1.125V11.25c0-4.46-3.243-8.161-7.5-8.876a9.06 9.06 0 00-1.5-.124H9.375c-.621 0-1.125.504-1.125 1.125v3.5m7.5 10.375H9.375a1.125 1.125 0 01-1.125-1.125v-9.25m12 6.625v-1.875a3.375 3.375 0 00-3.375-3.375h-1.5a1.125 1.125 0 01-1.125-1.125v-1.5a3.375 3.375 0 00-3.375-3.375H9.75" />
        </svg>
        Copy to clipboard
      </button>
    </div>
  </body>
</html>
